﻿@{
    ControleDeAcessoTO.ObterInformacoesUsuario Info = ControleDeAcesso.ObterConjuntoDePermissoesUsuario().InformacoesUsuario;

    string nomeCompleto = Info.NOMFNC.Trim();
    string primeiroNome = nomeCompleto.Split(' ').FirstOrDefault();
    string ultimoNome = nomeCompleto.Split(' ').LastOrDefault();
    string nomeMostruario = string.Format("{0} {1}", primeiroNome, ultimoNome);

    string nomePagina = ViewBag.NomePagina != null ? "- " + ViewBag.NomePagina : string.Empty;
}
<!DOCTYPE html>
<html>
<head lang="pt-br">
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=11; IE=10; IE=9; IE=8; IE=7; IE=EDGE" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>TGV Vendas @nomePagina</title>
    @* FAVICON *@
    <link rel="icon" href="@Url.Content("~/favicon.ico")">
    @Html.AntiForgeryToken()
    @* AVENIR LT STD *@
    <link href="@Url.Content("~/assets/fonts/avenir-lt-sdt/style.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    @* MATERIAL *@
    <link href="@Url.Content("~/assets/plugins/mdl/material-icon.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/mdl/material.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    @* BOOTSTRAP *@
    <link href="@Url.Content("~/assets/plugins/bootstrap-4.0.0/css/bootstrap.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/bootstrap-4.0.0/css/bootstrap-grid.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/bootstrap-4.0.0/css/bootstrap-reboot.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    @* JQUERY UI *@
    <link href="@Url.Content("~/assets/plugins/jquery-ui-1.12.1/jquery-ui.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    @* FONTAWESOME 4.7 *@
    <link href="@Url.Content("~/assets/plugins/font-awesome-4.7.0/css/font-awesome.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    @* ANIMATE *@
    <link href="@Url.Content("~/assets/css/animate.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    @* DATATABLES *@
    <link href="@Url.Content("~/assets/plugins/DataTables/datatables.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/DataTables/DataTables-1.10.16/css/dataTables.bootstrap4.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/DataTables/AutoFill-2.2.2/css/autoFill.bootstrap4.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/DataTables/ColReorder-1.4.1/css/colReorder.bootstrap4.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/DataTables/Buttons-1.5.1/css/buttons.bootstrap4.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/DataTables/FixedHeader-3.1.3/css/fixedHeader.bootstrap4.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/DataTables/KeyTable-2.3.2/css/keyTable.bootstrap4.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/DataTables/Responsive-2.2.1/css/responsive.bootstrap4.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/DataTables/RowGroup-1.0.2/css/rowGroup.bootstrap4.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/DataTables/RowReorder-1.2.3/css/rowReorder.bootstrap4.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/DataTables/Scroller-1.4.4/css/scroller.bootstrap4.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/DataTables/Select-1.2.5/css/select.bootstrap4.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    @* DATE PICKERS *@
    <link href="@Url.Content("~/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/bootstrap-daterangepicker/daterangepicker.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    @* NPROGRESS *@
    <link href="@Url.Content("~/assets/plugins/nprogress/nprogress.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />

    @* PROPELLER SELECT 2 *@
    <link href="@Url.Content("~/assets/plugins/propeller-select2/css/select2.min.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/propeller-select2/css/pmd-select2.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/plugins/propeller-select2/css/textfield.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    @* SIDEBAR MENU *@
    <link href="@Url.Content("~/assets/plugins/sidebarmenu/sidebar-menu.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    @* CUSTOM *@
    <link href="@Url.Content("~/assets/css/material-changes.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/css/custom.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
    <link href="@Url.Content("~/assets/css/multi-select.css")?v=@Arquitetura.Classes.Util.timeStampSystemUp" rel="stylesheet" />
</head>
<body class="animated" style="display: none;">
    @* JQUERY *@
    <script src="@Url.Content("~/assets/js/jquery-3.3.1.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/js/jquery.browser.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/js/jquery.multi-select.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* JQUERY UI *@
    <script src="@Url.Content("~/assets/plugins/jquery-ui-1.12.1/jquery-ui.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* MATERIAL *@
    <script src="@Url.Content("~/assets/plugins/mdl/material.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* BOOTSTRAP *@
    <script src="@Url.Content("~/assets/plugins/bootstrap-4.0.0/js/popper.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/bootstrap-4.0.0/js/bootstrap.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/bootstrap-4.0.0/js/bootstrap.bundle.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* DATATABLES *@
    <script src="@Url.Content("~/assets/js/datatable.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/datatables.all.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/Select-1.2.5/js/dataTables.select.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/Scroller-1.4.4/js/dataTables.scroller.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/RowGroup-1.0.2/js/dataTables.rowGroup.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/RowReorder-1.2.3/js/dataTables.rowReorder.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/Responsive-2.2.1/js/dataTables.responsive.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/Responsive-2.2.1/js/responsive.bootstrap4.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/DataTables-1.10.16/js/dataTables.bootstrap4.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/AutoFill-2.2.2/js/autoFill.bootstrap4.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/Buttons-1.5.1/js/buttons.bootstrap4.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/ColReorder-1.4.1/js/dataTables.colReorder.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/FixedColumns-3.2.4/js/dataTables.fixedColumns.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/FixedHeader-3.1.3/js/dataTables.fixedHeader.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/JSZip-2.5.0/jszip.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/KeyTable-2.3.2/js/dataTables.keyTable.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/DataTables/pdfmake-0.1.32/pdfmake.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* MOMENT TIME-ZONE *@
    <script src="@Url.Content("~/assets/js/moment.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/js/moment-with-locales.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* DATE PICKERS *@
    <script src="@Url.Content("~/assets/plugins/bootstrap-datepicker/bootstrap-datepicker.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/bootstrap-datepicker/locales/bootstrap-datepicker.pt-BR.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/bootstrap-daterangepicker/daterangepicker.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* JQUERY-VALIDATION *@
    <script src="@Url.Content("~/assets/plugins/jquery-validation/jquery.validate.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/jquery-validation/localization/messages_pt_BR.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/jquery-validation/additional-methods.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* NPROGRESS *@
    <script src="@Url.Content("~/assets/plugins/nprogress/nprogress.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* JQUERY-MASK *@
    <script src="@Url.Content("~/assets/js/jquery.mask.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* BLOCK-UI *@
    <script src="@Url.Content("~/assets/js/jquery.blockui.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* SWEETALERT 2 *@
    <script src="@Url.Content("~/assets/plugins/sweetalert2/sweetalert2.all.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* PROPELLER SELECT 2 *@
    <script src="@Url.Content("~/assets/plugins/propeller-select2/js/select2.full.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @*NOTIFY JS*@
    <script src="@Url.Content("~/assets/js/notify.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @*NUMBER*@
    <script src="@Url.Content("~/assets/plugins/number/hashtable.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/number/jquery.number.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/plugins/number/jquery.numberformatter-1.2.4.jsmin.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* SHEET JS *@
    <script src="@Url.Content("~/assets/js/shim.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/js/xlsx.full.min.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* SIDEBAR MENU *@
    <script src="@Url.Content("~/assets/plugins/sidebarmenu/sidebar-menu.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* ARCHITECTURE *@
    <script src="@Url.Content("~/assets/architecture/jquery.HighCharts.component.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/architecture/jquery.DataTables.component.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/architecture/jquery.ValidationFactory.component.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/architecture/jquery.AJAXFactory.component.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/architecture/jquery.Select2.component.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    <script src="@Url.Content("~/assets/architecture/jquery.ValueBinder.component.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* GLOBAL *@
    @Html.Partial("~/Views/Global/GlobalScript.cshtml")
    @* CUSTOM *@
    <script src="@Url.Content("~/assets/js/custom.js")?v=@Arquitetura.Classes.Util.timeStampSystemUp" type="text/javascript"></script>
    @* PAGE START *@
    <div id="tgv-main-layout" class="mdl-layout mdl-js-layout mdl-layout--fixed-header">
        <header class="mdl-layout__header">
            @* Icone *@
            <div aria-expanded="false" role="button" tabindex="0" class="mdl-layout-custom-drawner-button">
                <i class="material-icons">view_quilt</i>
            </div>
            <div class="mdl-layout__header-row">
                @* Título *@
                <span class="mdl-layout-title">
                    <span class="mdl-title-icon"><i class="material-icons">more_vert</i></span>
                    <a class="navbar-brand" href="@Url.Content("~/")">PORTAL TGV</a>
                    @*<span class="mdl-title-icon"><i class="material-icons">more_vert</i></span>*@
                </span>
                @* Adicionar espaçamento, para alinhar a navegação na direita. *@
                <div class="mdl-layout-spacer">
                    <img src="@Url.Content("~/assets/img/img_logo_tgv.png")" alt="logo" />
                </div>
                @*  Navegação. Se esconde(hide) em telas pequenas. *@
                <nav class="mdl-navigation mdl-layout--large-screen-only">
                    <button type="button" class="mdl-navigation__link __type-user" data-user-info>
                        <i class="material-icons">person</i>
                        &nbsp;
                        <span>@nomeMostruario</span>
                    </button>
                </nav>
            </div>
        </header>
        @* SIDEMENU *@
        <div class="mdl-layout-custom-sidebar is-active" data-fixed-nav="true">
            <form action="#" class="tgv-search-sidebar">
                <i class="material-icons">search</i>
                <div class="mdl-textfield for-search mdl-js-textfield" style="padding: 10px 0;">
                    <input class="mdl-textfield__input" type="text" id="txtSearch">
                    <label class="mdl-textfield__label" for="txtSearch">Pesquisar...</label>
                </div>
            </form>
            <div class="custom-sidebar-container">
                <ul class="sidebar-menu">
                    @Html.MvcSiteMap().Menu("MetronicMenuHelperModel")
                </ul>
            </div>
            <table style="width: 100%;">
                <tr>
                    <td style="width: 80px;">
                        <button class="btn btn-outline-dark btn-tgv-sidebar">
                            <i class="fa fa-thumb-tack icon-tamanhox" aria-hidden="true"></i>
                        </button>
                    </td>
                </tr>
            </table>
        </div>
        @* PAGES *@
        <main class="mdl-layout__content
              is-nav-active">
            <div class="page-content">
                @RenderBody()
            </div>
        </main>
        @* USER LEFT *@
        <div class="tgv-user-info-container" data-is-content="false"></div>
        <div class="tgv-user-info" id="divFuncionario" style="display:none">
            <div class="tgv-user-limiter">
                <div class="tgv-user-info-name">
                    <i class="material-icons">person</i>
                    <span>@nomeMostruario</span>
                </div>
                <div class="tgv-user-info-cad">
                    <small>@Info.CODFNC&nbsp;-&nbsp;@Info.NOMFNC</small>
                </div>
                <div class="tgv-user-info-grp">
                    <h5>Grupos AD</h5>
                    @{
                        if (Info.GRUPOSAD.Count > 0)
                        {
                            foreach (string grupo in Info.GRUPOSAD)
                            {
                                <small>@grupo</small>
                            }
                        }
                        else
                        {
                            <small>Usuário não possui nenhum grupo</small>
                        }
                    }
                </div>
                <div class="tgv-user-info-logout">
                    <button class="btn btn-outline-danger" id="btnLogOut">
                        <i class="fa fa-sign-out" aria-hidden="true">&nbsp;</i>
                        Sair
                    </button>
                </div>
            </div>
        </div>
    </div>
</body>
</html>